Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.gateway
Class HibernateEventListener

    java.lang.Object
      org.jboss.soa.esb.listeners.gateway.HibernateEventListener

All Implemented Interfaces:
  java.io.Serializable, org.hibernate.event.AutoFlushEventListener, org.hibernate.event.DeleteEventListener, org.hibernate.event.DirtyCheckEventListener, org.hibernate.event.EvictEventListener, org.hibernate.event.FlushEntityEventListener, org.hibernate.event.FlushEventListener, org.hibernate.event.InitializeCollectionEventListener, org.hibernate.event.LoadEventListener, org.hibernate.event.LockEventListener, org.hibernate.event.MergeEventListener, org.hibernate.event.PersistEventListener, org.hibernate.event.PostDeleteEventListener, org.hibernate.event.PostInsertEventListener, org.hibernate.event.PostLoadEventListener, org.hibernate.event.PostUpdateEventListener, org.hibernate.event.PreDeleteEventListener, org.hibernate.event.PreInsertEventListener, org.hibernate.event.PreLoadEventListener, org.hibernate.event.PreUpdateEventListener, org.hibernate.event.RefreshEventListener, org.hibernate.event.ReplicateEventListener, org.hibernate.event.SaveOrUpdateEventListener

    public class HibernateEventListener

extends java.lang.Object
implements org.hibernate.event.AutoFlushEventListener, org.hibernate.event.DeleteEventListener, org.hibernate.event.DirtyCheckEventListener, org.hibernate.event.EvictEventListener, org.hibernate.event.FlushEntityEventListener, org.hibernate.event.FlushEventListener, org.hibernate.event.InitializeCollectionEventListener, org.hibernate.event.LoadEventListener, org.hibernate.event.LockEventListener, org.hibernate.event.MergeEventListener, org.hibernate.event.PersistEventListener, org.hibernate.event.PostDeleteEventListener, org.hibernate.event.PostInsertEventListener, org.hibernate.event.PostLoadEventListener, org.hibernate.event.PostUpdateEventListener, org.hibernate.event.PreDeleteEventListener, org.hibernate.event.PreInsertEventListener, org.hibernate.event.PreLoadEventListener, org.hibernate.event.PreUpdateEventListener, org.hibernate.event.RefreshEventListener, org.hibernate.event.ReplicateEventListener, org.hibernate.event.SaveOrUpdateEventListener

This class is a Hibernate EventListener which implements hooks to all the available hibernate events. It's not used at the moment, but might be a way of augmenting the Hibernate Interceptor hooks which are currently implemented. Again, please note that this file is not currently used.

Author:
  tcunning@redhat.com
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.event.LoadEventListener
`org.hibernate.event.LoadEventListener.LoadType`

Field Summary
`protected static org.apache.log4j.Logger` | `m_logger`
`protected java.util.concurrent.BlockingQueue<org.hibernate.event.AbstractEvent>` | `queue`

Fields inherited from interface org.hibernate.event.LoadEventListener
`GET, IMMEDIATE_LOAD, INTERNAL_LOAD_EAGER, INTERNAL_LOAD_LAZY, INTERNAL_LOAD_NULLABLE, LOAD, RELOAD`

Constructor Summary
`HibernateEventListener()`

Method Summary
`protected java.lang.Object` | `doPreSend()`
`void` | `onAutoFlush(org.hibernate.event.AutoFlushEvent arg0)`
`void` | `onDelete(org.hibernate.event.DeleteEvent event)`
`void` | `onDelete(org.hibernate.event.DeleteEvent arg0, java.util.Set arg1)`
`void` | `onDirtyCheck(org.hibernate.event.DirtyCheckEvent arg0)`
`void` | `onEvict(org.hibernate.event.EvictEvent arg0)`
`void` | `onFlush(org.hibernate.event.FlushEvent arg0)`
`void` | `onFlushEntity(org.hibernate.event.FlushEntityEvent arg0)`
`void` | `onInitializeCollection(org.hibernate.event.InitializeCollectionEvent arg0)`
`void` | `onLoad(org.hibernate.event.LoadEvent event, org.hibernate.event.LoadEventListener.LoadType type)`
`void` | `onLock(org.hibernate.event.LockEvent arg0)`
`void` | `onMerge(org.hibernate.event.MergeEvent arg0)`
`void` | `onMerge(org.hibernate.event.MergeEvent arg0, java.util.Map arg1)`
`void` | `onPersist(org.hibernate.event.PersistEvent arg0)`
`void` | `onPersist(org.hibernate.event.PersistEvent arg0, java.util.Map arg1)`
`void` | `onPostDelete(org.hibernate.event.PostDeleteEvent arg0)`
`void` | `onPostInsert(org.hibernate.event.PostInsertEvent event)`
`void` | `onPostLoad(org.hibernate.event.PostLoadEvent arg0)`
`void` | `onPostUpdate(org.hibernate.event.PostUpdateEvent arg0)`
`boolean` | `onPreDelete(org.hibernate.event.PreDeleteEvent arg0)`
`boolean` | `onPreInsert(org.hibernate.event.PreInsertEvent arg0)`
`void` | `onPreLoad(org.hibernate.event.PreLoadEvent arg0)`
`boolean` | `onPreUpdate(org.hibernate.event.PreUpdateEvent arg0)`
`void` | `onRefresh(org.hibernate.event.RefreshEvent arg0)`
`void` | `onRefresh(org.hibernate.event.RefreshEvent arg0, java.util.Map arg1)`
`void` | `onReplicate(org.hibernate.event.ReplicateEvent arg0)`
`void` | `onSaveOrUpdate(org.hibernate.event.SaveOrUpdateEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_logger

    protected static final org.apache.log4j.Logger m_logger

### queue

    protected java.util.concurrent.BlockingQueue<org.hibernate.event.AbstractEvent> queue

Constructor Detail

### HibernateEventListener

    public HibernateEventListener()

Method Detail

### doPreSend

    protected java.lang.Object doPreSend()

### onDelete

    public void onDelete(org.hibernate.event.DeleteEvent event)
                  throws org.hibernate.HibernateException

  Specified by:
    `onDelete` in interface `org.hibernate.event.DeleteEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onSaveOrUpdate

    public void onSaveOrUpdate(org.hibernate.event.SaveOrUpdateEvent event)
                        throws org.hibernate.HibernateException

  Specified by:
    `onSaveOrUpdate` in interface `org.hibernate.event.SaveOrUpdateEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onLoad

    public void onLoad(org.hibernate.event.LoadEvent event,
                       org.hibernate.event.LoadEventListener.LoadType type)
                throws org.hibernate.HibernateException

  Specified by:
    `onLoad` in interface `org.hibernate.event.LoadEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onDelete

    public void onDelete(org.hibernate.event.DeleteEvent arg0,
                         java.util.Set arg1)
                  throws org.hibernate.HibernateException

  Specified by:
    `onDelete` in interface `org.hibernate.event.DeleteEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onPostInsert

    public void onPostInsert(org.hibernate.event.PostInsertEvent event)

  Specified by:
    `onPostInsert` in interface `org.hibernate.event.PostInsertEventListener`

### onDirtyCheck

    public void onDirtyCheck(org.hibernate.event.DirtyCheckEvent arg0)
                      throws org.hibernate.HibernateException

  Specified by:
    `onDirtyCheck` in interface `org.hibernate.event.DirtyCheckEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onEvict

    public void onEvict(org.hibernate.event.EvictEvent arg0)
                 throws org.hibernate.HibernateException

  Specified by:
    `onEvict` in interface `org.hibernate.event.EvictEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onFlushEntity

    public void onFlushEntity(org.hibernate.event.FlushEntityEvent arg0)
                       throws org.hibernate.HibernateException

  Specified by:
    `onFlushEntity` in interface `org.hibernate.event.FlushEntityEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onFlush

    public void onFlush(org.hibernate.event.FlushEvent arg0)
                 throws org.hibernate.HibernateException

  Specified by:
    `onFlush` in interface `org.hibernate.event.FlushEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onInitializeCollection

    public void onInitializeCollection(org.hibernate.event.InitializeCollectionEvent arg0)
                                throws org.hibernate.HibernateException

  Specified by:
    `onInitializeCollection` in interface `org.hibernate.event.InitializeCollectionEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onLock

    public void onLock(org.hibernate.event.LockEvent arg0)
                throws org.hibernate.HibernateException

  Specified by:
    `onLock` in interface `org.hibernate.event.LockEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onMerge

    public void onMerge(org.hibernate.event.MergeEvent arg0)
                 throws org.hibernate.HibernateException

  Specified by:
    `onMerge` in interface `org.hibernate.event.MergeEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onMerge

    public void onMerge(org.hibernate.event.MergeEvent arg0,
                        java.util.Map arg1)
                 throws org.hibernate.HibernateException

  Specified by:
    `onMerge` in interface `org.hibernate.event.MergeEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onPersist

    public void onPersist(org.hibernate.event.PersistEvent arg0)
                   throws org.hibernate.HibernateException

  Specified by:
    `onPersist` in interface `org.hibernate.event.PersistEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onPersist

    public void onPersist(org.hibernate.event.PersistEvent arg0,
                          java.util.Map arg1)
                   throws org.hibernate.HibernateException

  Specified by:
    `onPersist` in interface `org.hibernate.event.PersistEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onPostDelete

    public void onPostDelete(org.hibernate.event.PostDeleteEvent arg0)

  Specified by:
    `onPostDelete` in interface `org.hibernate.event.PostDeleteEventListener`

### onPostLoad

    public void onPostLoad(org.hibernate.event.PostLoadEvent arg0)

  Specified by:
    `onPostLoad` in interface `org.hibernate.event.PostLoadEventListener`

### onPostUpdate

    public void onPostUpdate(org.hibernate.event.PostUpdateEvent arg0)

  Specified by:
    `onPostUpdate` in interface `org.hibernate.event.PostUpdateEventListener`

### onPreDelete

    public boolean onPreDelete(org.hibernate.event.PreDeleteEvent arg0)

  Specified by:
    `onPreDelete` in interface `org.hibernate.event.PreDeleteEventListener`

### onPreInsert

    public boolean onPreInsert(org.hibernate.event.PreInsertEvent arg0)

  Specified by:
    `onPreInsert` in interface `org.hibernate.event.PreInsertEventListener`

### onPreLoad

    public void onPreLoad(org.hibernate.event.PreLoadEvent arg0)

  Specified by:
    `onPreLoad` in interface `org.hibernate.event.PreLoadEventListener`

### onPreUpdate

    public boolean onPreUpdate(org.hibernate.event.PreUpdateEvent arg0)

  Specified by:
    `onPreUpdate` in interface `org.hibernate.event.PreUpdateEventListener`

### onRefresh

    public void onRefresh(org.hibernate.event.RefreshEvent arg0)
                   throws org.hibernate.HibernateException

  Specified by:
    `onRefresh` in interface `org.hibernate.event.RefreshEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onRefresh

    public void onRefresh(org.hibernate.event.RefreshEvent arg0,
                          java.util.Map arg1)
                   throws org.hibernate.HibernateException

  Specified by:
    `onRefresh` in interface `org.hibernate.event.RefreshEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onReplicate

    public void onReplicate(org.hibernate.event.ReplicateEvent arg0)
                     throws org.hibernate.HibernateException

  Specified by:
    `onReplicate` in interface `org.hibernate.event.ReplicateEventListener`
  Throws:
    `org.hibernate.HibernateException`

### onAutoFlush

    public void onAutoFlush(org.hibernate.event.AutoFlushEvent arg0)
                     throws org.hibernate.HibernateException

  Specified by:
    `onAutoFlush` in interface `org.hibernate.event.AutoFlushEventListener`
  Throws:
    `org.hibernate.HibernateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD